Bug 1436334 - WebUI: Adding certificate mapping data using certificate fails
Summary: WebUI: Adding certificate mapping data using certificate fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Scott Poore
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 16:53 UTC by Petr Vobornik
Modified: 2017-08-01 09:46 UTC (History)
6 users (show)

Fixed In Version: ipa-4.5.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:46:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-03-27 16:53:09 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6772

When pasting certificate in PEM the action fails unless user omits ```-----BEGIN CERTIFICATE-----``` and ```-----END CERTIFICATE-----```. Other fields in WebUI accepts certificates with encapsulation boundaries without problems.

Comment 2 Petr Vobornik 2017-03-27 16:53:25 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6772

Comment 3 Petr Vobornik 2017-03-27 16:54:55 UTC
ipa-4-5:
    eda23a9847197513555f6237b46c658365dfc12d WebUI: Allow to add certs to certmapping with CERT LINES around
    

master:
    84b38b6793cbc45d36c39abf79893e22e90baac6 WebUI: Allow to add certs to certmapping with CERT LINES around


This fix makes the user experience more consistent with other cert related operations.

Comment 5 Scott Poore 2017-05-02 02:07:40 UTC
Verified.

Version ::

ipa-server-4.5.0-8.el7.x86_64

Results ::

Select demosc3 user
Select "Certificate mapping data" add
Select Certificate add
Paste:

-----BEGIN CERTIFICATE-----
MIIDqzCCApOgAwIBAgIBYjANBgkqhkiG9w0BAQsFADA4MRYwFAYDVQQKDA1URVNU
UkVMTS5URVNUMR4wHAYDVQQDDBVDZXJ0aWZpY2F0ZSBBdXRob3JpdHkwHhcNMTcw
NDI3MTkwNTE5WhcNMTkwNDI4MTkwNTE5WjAqMRYwFAYDVQQKDA1URVNUUkVMTS5U
RVNUMRAwDgYDVQQDDAdkZW1vc2MxMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKB
gQCuyY46pKZd5uBMY+AuJObcACAMSJqtoqPJ7DXFb2z/tnTYFWl4bueKj+wcyOM6
GFo1qAB1Smkb2R0AzzNnuxqQrzyMyA4poxCZ41Lmfe+2r490sdQVSi85/FZGIYr8
kNJdsu4qpUIseeql0NnhejLnGV6+AIfyFUV/XsA/Pcs4bQIDAQABo4IBUDCCAUww
HwYDVR0jBBgwFoAUyxbCdZWzjrbRPZqs2MuYSuIibEAwPwYIKwYBBQUHAQEEMzAx
MC8GCCsGAQUFBzABhiNodHRwOi8vaXBhLWNhLnRlc3RyZWxtLnRlc3QvY2Evb2Nz
cDAOBgNVHQ8BAf8EBAMCBPAwHQYDVR0lBBYwFAYIKwYBBQUHAwEGCCsGAQUFBwMC
MHgGA1UdHwRxMG8wbaA1oDOGMWh0dHA6Ly9pcGEtY2EudGVzdHJlbG0udGVzdC9p
cGEvY3JsL01hc3RlckNSTC5iaW6iNKQyMDAxDjAMBgNVBAoMBWlwYWNhMR4wHAYD
VQQDDBVDZXJ0aWZpY2F0ZSBBdXRob3JpdHkwHQYDVR0OBBYEFDx7ECEXIIS2sDE6
ysdIcj4bB4TTMCAGA1UdEQQZMBeBFWRlbW9zYzFAdGVzdHJlbG0udGVzdDANBgkq
hkiG9w0BAQsFAAOCAQEAFZ50dVnAa5RW2NGuu1t8WO5+y+miz43xAdlIHslGRuMd
iWLtRxwZeyC+cMp0Jh79wdfsyfugHxqttCAOg6Nm6FU8BbV/6tCoFKbVnhA+/zCZ
NIrKJ+1VKb8v88LizMYOD6VKJHAAPN2BWS7C3TOkoDU2Uuq3Vz2Eag39JUgwgBLp
LPquiu3XmpwQ1JOpbyPShiRMR9oHNabRc1NSjYencYd7gzN32W2jDCUHCqtEavKZ
8IC+cIAkGgkjLgVz4HGtb/xglKvBht3sIJRxeHz8bR26y8ITankNVELTpGhSHDZX
a55RKXwwpjNKuiDfr1QpF+mtqkE5n21cR+nQGPHVyA==
-----END CERTIFICATE-----

Clicked Add at bottom of window

In user listing it now shows for certificate mapping data:

X509:<I>O=TESTRELM.TEST,CN=Certificate Authority<S>O=TESTRELM.TEST,CN=demosc1

Comment 6 errata-xmlrpc 2017-08-01 09:46:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.